Subject: Re: bug#37549: guix build bootstrap-tarballs installed but strip-install failed

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sun, 29 Sep 2019 11:05:59 +0200

Bengt Richter writes:

> I tried
>     guix build bootstrap-tarballs

Yes, sadly that's not supported on current master.  It should work on
core-updates.  So I tried that and found it fails in similar ways.

> ERROR: In procedure lstat:
> In procedure lstat: No such file or directory: "/gnu/store/xjbkz6645qccnvfkmbc4wsvh7lffg2jn-mes-minimal-0.20/share/mes/scaffold"
> builder for `/gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv' failed with exit code 1
> build of /gnu/store/w8y538fhxr9d9sm6653jq5xsl89q0aqk-mes-minimal-0.20.drv failed

Ah, that's not good.  The new Reduced Binary Seed bootstrap must use Mes
0.19.  Building the new bootstrap binaries is -- apparently -- only
works on tag bootstrap-20190815.

> HTH in some way.

Yes, thank you; I'm looking into it.  Mes should be fixed on 0.19,
MesCC-Tools schould be fixed on 0.5.2 and I just found that building
bootstrap-bash also breaks due to an update to bash-5.

Greetings,
jannneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com